### Function

# GObject type_interfaces

since: 2.0

#### Declaration

    GType*
    g_type_interfaces (
      GType type,
      guint* n_interfaces
    )

#### Description

Return a newly allocated and 0-terminated array of type IDs, listing the interface types that `type` conforms to.

Available since: 2.0

#### Parameters

`type`

  Type: `GType`

  The type to list interface types for.

`n_interfaces`

  Type: `guint*`

  Location to store the length of the returned array, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `GType`

Newly allocated and 0-terminated array of interface types, free with `g_free()`

The length of the array is in the `n_interfaces` argument.
The caller of the function takes ownership of the data, and is responsible for freeing it.